Campaign_Get
GET
/v1/Campaign/{id}
const url = 'https://rms.dev.caspeco.net/api/booking/v1/Campaign/1';const options = {method: 'GET', headers: {system: 'example', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://rms.dev.caspeco.net/api/booking/v1/Campaign/1 \ --header 'Authorization: Bearer <token>' \ --header 'system: example'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer format: int64
Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Responses
Section titled “Responses”Media typeapplication/json
object
name
string
displayName
string
description
string
startDate
string format: date-time
endDate
string format: date-time
requirements
Array<object>
object
requirementType
integer
type
string
campaignCodeIds
Array<string>
campaignCodes
Array<object>
object
id
string
name
string
code
string
createdDate
string format: date-time
createdBy
string
usages
integer format: int32
maxUsage
integer format: int32
maxUsagePerCustomer
integer format: int32
isDirty
boolean
doDelete
boolean
customerIds
Array<string>
weekDays
Array<string>
localTimeInterval
One of:
object
start
string
end
string
groups
Array<object>
object
name
string
quantity
integer format: int32
articles
Array<object>
object
id
integer format: int64
uuid
string
totalAmountCents
integer format: int32
tierId
string
rewardId
string
voucherId
string
numberOfCodes
integer format: int32
codeLength
integer format: int32
loggingSummary
string
benefits
Array<object>
object
benefitType
integer
type
string
amountCents
integer format: int32
percentage
integer format: int32
maxDiscountAmount
integer format: int32
maxNumberOfOutcomes
integer format: int32
marketing
object
enabled
boolean
imageMap
object
key
additional properties
string
uploadImages
Array
object
tags
Array<string>
cropRatios
Array<object>
object
id
integer format: int64
imageId
integer format: int64
left
number format: double
top
number format: double
width
number format: double
height
number format: double
aspectRatio
string
image
string
imageUrl
string
imageFilename
string
imageUploadData
string
sortOrder
integer format: int32
imageMap
object
key
additional properties
string
uploadImages
Array
object
tags
Array<string>
cropRatios
Array<object>
object
id
integer format: int64
imageId
integer format: int64
left
number format: double
top
number format: double
width
number format: double
height
number format: double
aspectRatio
string
image
string
imageUrl
string
imageFilename
string
imageUploadData
string
id
integer format: int64
campaignId
string
status
integer
availableTiers
Array<object>
object
id
string
name
string
availableRewards
Array<object>
object
id
string
name
string
availableVouchers
Array<object>
object
id
string
name
string
Example
{ "requirements": [ { "requirementType": 0 } ], "benefits": [ { "benefitType": 0 } ], "status": 0}